# Log Stream - Activities

{% hint style="info" %}
This feature is part of the Enterprise plan. If it is not enabled for your organization, please contact StrongDM at the [StrongDM Help Center](https://help.strongdm.com/hc/en-us).
{% endhint %}

{% hint style="info" %}
The full list of possible activities can be found in the [Activity Logs](/admin/audit/logs/view-adminui.md) section.
{% endhint %}

| Field           | Type   | Description                                                                                   | Example                                                                 |
| --------------- | ------ | --------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| activity        | String | Activity that was performed                                                                   | `"admin token created"`                                                 |
| actorAccountID  | String | Unique identifier of the account that performed the activity                                  | `"a-0abcdabcdab00000"`                                                  |
| actorEmail      | String | Email of the account that performed the activity, at the time the activity was executed       | `"alice.glick@example.com"`                                             |
| actorExternalID | String | External ID of the account that performed the activity, at the time the activity was executed | `"e-bca5454"`                                                           |
| actorFirstName  | String | Given name of the account that performed the activity, at the time the activity was executed  | `"Alice"`                                                               |
| actorLastName   | String | Family name of the account that performed the activity, at the time the activity was executed | `"Glick"`                                                               |
| actorName       | String | Full name of the account that performed the activity, at the time the activity was executed   | `"Alice Glick"`                                                         |
| description     | String | Human-readable description of the activity                                                    | `Alice Glick (alice.glick@example.com) created admin token super-token` |
| entities        | Array  | List of entities involved in the activity                                                     | `[ "a-0abcdabcdab00000" ]`                                              |
| formatVersion   | String | Version of the log format                                                                     | `"v1.0.0"`                                                              |
| id              | String | Unique identifier of the activity                                                             | `"0CEGCEGCEGCEGCEGCEGCE1234ceg"`                                        |
| ipAddress       | String | IP address from which the activity was performed, as detected at the StrongDM control plane   | `"1.11.222.333"`                                                        |
| logType         | String | Type of log, always "activities" for activity logs                                            | `"activities"`                                                          |
| sdmOrgId        | String | Organization identifier of the organization that emitted the event represented in the log     | `"o-6dce5b5663c12e6b"`                                                  |
| timestamp       | String | Time at which the activity took place, formatted as datetime                                  | `"2024-08-01T13:13:20.895597162Z"`                                      |
| userAgent       | String | User agent present when this activity was performed                                           | `"strongdm-sdk-python/8.3.0"`                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strongdm.com/admin/audit/logs/references/logstream-activities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
